import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Presenter } from '../components/presenter.js';
import { SlidesList } from '../components/slides-list.js';
import { resolveImageUrl } from '../generation/loader.js';
export function body({ slides  }) {
    return /*#__PURE__*/ _jsxs(_Fragment, {
        children: [
            slides,
            /*#__PURE__*/ _jsx(SlidesList, {
                count: slides.length
            }),
            /*#__PURE__*/ _jsx(Presenter, {}),
            /*#__PURE__*/ _jsx("nav", {
                "data-freya-id": "loading",
                className: "freya__loading",
                children: /*#__PURE__*/ _jsx("h1", {
                    children: "Loading ..."
                })
            })
        ]
    });
}
export function header({ talk , theme , css , js  }) {
    const { fontsUrls , images: themeImages , id  } = theme;
    const faviconImageUrl = resolveImageUrl(id, talk.id, '@theme/assets/favicon.webp');
    return /*#__PURE__*/ _jsxs(_Fragment, {
        children: [
            /*#__PURE__*/ _jsx("meta", {
                name: "author",
                content: talk.document.author.name
            }),
            /*#__PURE__*/ _jsx("meta", {
                name: "description",
                content: talk.document.title
            }),
            /*#__PURE__*/ _jsx("link", {
                rel: "icon",
                href: faviconImageUrl,
                type: "image/webp",
                sizes: "192x192"
            }),
            /*#__PURE__*/ _jsx("link", {
                rel: "apple-touch-icon",
                type: "image/webp",
                href: faviconImageUrl
            }),
            /*#__PURE__*/ _jsx("style", {
                dangerouslySetInnerHTML: {
                    __html: css
                }
            }),
            fontsUrls.map((url)=>/*#__PURE__*/ _jsx("link", {
                    rel: "preload",
                    as: "font",
                    href: url,
                    crossOrigin: "anonymous"
                }, url)),
            [
                ...themeImages,
                ...talk.images
            ].map((url)=>/*#__PURE__*/ _jsx("link", {
                    rel: "preload",
                    as: "image",
                    href: url
                }, url)),
            /*#__PURE__*/ _jsx("script", {
                type: "module",
                dangerouslySetInnerHTML: {
                    __html: js
                }
            })
        ]
    });
}
export function page(title) {
    return /*#__PURE__*/ _jsxs("html", {
        lang: "en",
        children: [
            /*#__PURE__*/ _jsxs("head", {
                children: [
                    /*#__PURE__*/ _jsx("meta", {
                        charSet: "utf-8"
                    }),
                    /*#__PURE__*/ _jsx("meta", {
                        name: "viewport",
                        content: "width=device-width, initial-scale=1"
                    }),
                    /*#__PURE__*/ _jsx("title", {
                        children: title
                    }),
                    "@HEAD@"
                ]
            }),
            "@BODY@"
        ]
    });
}
